### Signal

# Gtk Gesture::cancel

since: 4.0

#### Declaration

    void
    cancel (
      GtkGesture* self,
      GdkEventSequence* sequence,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a sequence is cancelled.

This usually happens on active touches when `gtk_event_controller_reset()` is called on `gesture` (manually, due to grabs…), or the individual `sequence` was claimed by parent widgets’ controllers (see `gtk_gesture_set_sequence_state()`).

`gesture` must forget everything about `sequence` as in response to this signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`sequence`

  Type: `GdkEventSequence`

  The `GdkEventSequence` that was cancelled.

  The argument can be `NULL`.
  The data is owned by the caller of the function.